DB_SEQUENCE->set_range()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->set_range()

    #include <db.h>

    int
    DB_SEQUENCE->set_range(DB_SEQUENCE *seq, db_seq_t min, db_seq_t max);

Configure a sequence range. This call is only effective when the sequence is being created. The range is limited to a signed 64 bit integer.

The `DB_SEQUENCE->set_range()` method may not be called after the DB_SEQUENCE->open() method is called.

The `DB_SEQUENCE->set_range()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### min

Specifies the minimum value for the sequence.

#### max

Specifies the maximum value for the sequence.

### Errors

The `DB_SEQUENCE->set_range()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->set_flags() | Home | DB_SEQUENCE->stat()